@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Manrope:wght@200..800&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Bree+Serif&family=Exo+2:ital,wght@0,100..900;1,100..900&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

@view-transition {
  navigation: auto
}


* {
  box-sizing: border-box;
}

p, h2, h4 {
/*  orphans: 3;
    widows: 3;
    page-break-after: avoid;*/
  font-family: "Inter", sans-serif!important;
}

/* Master container setting up the split layout */
.split-container {
  display: flex!important;
  flex-direction: row;
  width: 100%;
  height: 100dvh; /* Takes full height of the viewport */
}

/* Base styles for both individual sides */
.panel.left-side, .panel.right-side {
  flex: 1; /* Splits the space equally (50% each) */
  display: flex!important;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding: 2rem;
  transition: flex 0.5s ease-in-out; /* Smooth resizing fallback */
  align-items: center;
  justify-content: center;
  gap: 0;
}

/* Left side styling with a dark theme */
.left-side {
  background-image: url('../img/bg_feriaslibres3.png');
  background-attachment: fixed;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: top;
}

/* Right side styling with a light/vibrant theme */
.right-side {
  background-image: url('../img/header_subsitencia.jpg');
  background-attachment: fixed;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: top;
}

.left-side .content {
  background: #ffffff54;
  padding: 40px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 40px;
  border-radius: 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(9px);
  min-height: 50vh;
  width: min(750px, calc(70% - -100px));
}

.right-side .content {
  background: #ffffffa1;
  padding: 40px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 40px;
  border-radius: 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(9px);
  min-height: 50vh;
  width: min(750px, calc(75% - -100px));
}

.left-side .content img, .right-side .content img{
  width: 550px;
}

.left-side p, .right-side p {
  font-family: 'Exo 2', sans-serif!important;
  font-size: clamp(2.2rem, 2.5vw, 1.5em);;
}

.left-side .content a img:hover{
  transform: scale(102%);
  transition: .6s ease;
}

.right-side .content img:hover{
  transform: scale(102%);
  transition: .6s ease;
}

/* Interactive call to action buttons */
.cta-btn {
  display: inline-block;
  padding: 0.8rem 2rem;
  text-decoration: none;
  font-weight: bold;
  border-radius: 4px;
  border: 2px solid #ffffff;
  transition: all 0.3s ease;
}

/* Responsive breakpoint for mobile devices */
@media (max-width: 1199px) {
    .split-container {
        flex-direction: column; /* Stack vertically on smaller screens */
    }
     /* 
    .panel {
        height: 50vh;Each side gets exactly half the screen height
    } */

}

@media (max-width:767px) {
    .split-container {
        flex-direction: column; /* Stack vertically on smaller screens */
    }
    
    .left-side .content, .right-side .content {
        min-height: inherit;
    }

    .left-side .content {
        margin-top: 60px;
    }

    /* .panel {
        height: 50vh; Each side gets exactly half the screen height
    } */
}

@media (max-width:375px) {
    .split-container {
        flex-direction: column; /* Stack vertically on smaller screens */
        height: initial;
    }

    /* .panel {
        height: 50vh; Each side gets exactly half the screen height
    } */
}

/*------------------ Responsive  ------------------*/

.web-sii footer {
  margin: 0;
}

.mm-menu.mm-offcanvas{
    z-index: 5;
}

.web-sii .panel {
    margin: 0;
    background-color: initial;
    border: none;
    border-radius: 0;
    box-shadow: none;
}